package com.zxhy.hfilemanagermaster

import android.content.Intent
import android.os.Bundle
import androidx.activity.enableEdgeToEdge
import androidx.appcompat.app.AppCompatActivity
import androidx.core.view.ViewCompat
import androidx.core.view.WindowInsetsCompat
import com.example.hfilemanagermaster.R
import com.example.hfilemanagermaster.databinding.ActivityToolsBinding

class ToolsActivity : AppCompatActivity() {
    private lateinit var binding: ActivityToolsBinding
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        enableEdgeToEdge()
        binding = ActivityToolsBinding.inflate(layoutInflater)
        setContentView(binding.root)
        ViewCompat.setOnApplyWindowInsetsListener(findViewById(R.id.main)) { v, insets ->
            val systemBars = insets.getInsets(WindowInsetsCompat.Type.systemBars())
            v.setPadding(systemBars.left, systemBars.top, systemBars.right, systemBars.bottom)
            insets
        }
        binding.ivTools.isSelected = true

        binding.ivManager.setOnClickListener {
            val intent = Intent(this@ToolsActivity, OverviewActivity::class.java)
            startActivity(intent)
        }
    }
}